Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.xml.streamingmarkupsupport
[Java] Class StreamingMarkupWriter

    java.lang.Object
      java.io.Writer
          groovy.xml.streamingmarkupsupport.StreamingMarkupWriter

    public class StreamingMarkupWriter
    extends java.io.Writer

Field Summary
`protected java.nio.charset.CharsetEncoder` | `encoder`
`protected java.lang.String` | `encoding`
`protected boolean` | `encodingKnown`
`protected boolean` | `haveHighSurrogate`
`protected java.lang.StringBuffer` | `surrogatePair`
`protected java.io.Writer` | `writer`
`protected boolean` | `writingAttribute`

Constructor Summary
`StreamingMarkupWriter(java.io.Writer writer, java.lang.String encoding)`
`StreamingMarkupWriter(java.io.Writer writer, java.lang.String encoding, boolean useDoubleQuotes)`
`StreamingMarkupWriter(java.io.Writer writer)`

Method Summary
`void` | `close()`
`java.io.Writer` | `escaped()`
`void` | `flush()`
`java.lang.String` | `getEncoding()`
`boolean` | `getEncodingKnown()`
`void` | `setWritingAttribute(boolean writingAttribute)`
`java.io.Writer` | `unescaped()`
`void` | `write(int c)`
`void` | `write(char[] cbuf, int off, int len)`

Methods inherited from class java.io.Writer
java.io.Writer#append(java.lang.CharSequence), java.io.Writer#append(java.lang.CharSequence, int, int), java.io.Writer#append(char), java.io.Writer#append(char), java.io.Writer#append(java.lang.CharSequence, int, int), java.io.Writer#append(java.lang.CharSequence), java.io.Writer#write(int), java.io.Writer#write([C), java.io.Writer#write([C, int, int), java.io.Writer#write(java.lang.String), java.io.Writer#write(java.lang.String, int, int), java.io.Writer#flush(), java.io.Writer#close(), java.io.Writer#wait(long), java.io.Writer#wait(long, int), java.io.Writer#wait(), java.io.Writer#equals(java.lang.Object), java.io.Writer#toString(), java.io.Writer#hashCode(), java.io.Writer#getClass(), java.io.Writer#notify(), java.io.Writer#notifyAll()

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### encoder

    protected final java.nio.charset.CharsetEncoder encoder

### encoding

    protected final java.lang.String encoding

### encodingKnown

    protected boolean encodingKnown

### haveHighSurrogate

    protected boolean haveHighSurrogate

### surrogatePair

    protected java.lang.StringBuffer surrogatePair

### writer

    protected final java.io.Writer writer

### writingAttribute

    protected boolean writingAttribute

Constructor Detail

### StreamingMarkupWriter

    public StreamingMarkupWriter(java.io.Writer writer, java.lang.String encoding)

### StreamingMarkupWriter

    public StreamingMarkupWriter(java.io.Writer writer, java.lang.String encoding, boolean useDoubleQuotes)

### StreamingMarkupWriter

    public StreamingMarkupWriter(java.io.Writer writer)

Method Detail

### close

    public void close()

### escaped

    public java.io.Writer escaped()

### flush

    public void flush()

### getEncoding

    public java.lang.String getEncoding()

### getEncodingKnown

    public boolean getEncodingKnown()

### setWritingAttribute

    public void setWritingAttribute(boolean writingAttribute)

### unescaped

    public java.io.Writer unescaped()

### write

    public void write(int c)

### write

    public void write(char[] cbuf, int off, int len)

Groovy Documentation